//Loadouts.sqf
//This is the script where you can edit the custom load-outs of each player class.  Find the class you are looking for inside the switch statement and modify the inventory accordingly
//Friendly reminder that normal units have 12 magazine slots and medics have 8 magazine slots.

//Script by Strango 

_class = _this select 0;
_man = _this select 1;

switch (_class) do
{
	//BLUFOR
	case "SquadLeaderW":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",2] call GiveMag; 
		[_man,"smokeshellgreen",3] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",7] call GiveMag;
		_man addweapon   "M4A1";
		_man addweapon "NVGoggles";
		_man addweapon "Binocular";
    	};
	case "TeamLeaderW":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag; 
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",9] call GiveMag;
		[_man,"1Rnd_HE_M203",4] call GiveMag;
		[_man,"FlareWhite_M203",4] call GiveMag;
		_man addweapon   "M16A4_GL";
		_man addweapon "NVGoggles";
		_man addweapon "Binocular";
	};
	case "SoldierWAT":
    	{
		removeallweapons _man;
		[_man,"M136",3] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",6] call GiveMag;
		_man addweapon   "M136";
		_man addweapon   "M4A1";
	};
	case "SoldierWAR":
    	{
		removeallweapons _man;
		[_man,"200Rnd_556x45_M249",6] call GiveMag;
		_man addweapon   "M249";
	};
	case "SoldierWMG":
    	{
		removeallweapons _man;
		[_man,"100Rnd_762x51_M240",6] call GiveMag;
		_man addweapon   "M240";
	};
	case "SoldierWB":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",2] call GiveMag;
		[_man,"100Rnd_762x51_M240",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",6] call GiveMag;
		[_man,"1Rnd_HE_M203",4] call GiveMag;
		[_man,"FlareWhite_M203",4] call GiveMag;
		_man addweapon   "M16A4";
	};
	case "SoldierWMedic":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",5] call GiveMag;
		_man addweapon   "M16A4";
	};
	case "SoldierWPilot":
    	{
		removeallweapons _man;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"15Rnd_9x19_M9",8] call GiveMag;
		_man addweapon   "M9";
		_man addweapon "NVGoggles";
	};
	case "SoldierWAA":
	{
		removeallweapons _man;
				
		[_man,"30Rnd_556x45_Stanag",6] call GiveMag;
		[_man,"Stinger",1] call GiveMag;
		_man addweapon "STINGER";
		_man addweapon   "M16A4";	
	};
	case "SoldierWSniper":
	{
		removeallweapons _man;
				
		[_man,"5Rnd_762x51_M24",12] call GiveMag;
		[_man,"15Rnd_9x19_M9",8] call GiveMag;
		_man addweapon   "M9";
		_man addweapon   "M24";	
	};
	case "SoldierWCrew":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",5] call GiveMag;
		_man addweapon   "M16A4";
	};
	//Independent
	case "SquadLeaderG":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",2] call GiveMag; 
		[_man,"smokeshellgreen",3] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",7] call GiveMag;
		_man addweapon   "M4A1";
		_man addweapon "NVGoggles";
		_man addweapon "Binocular";
    	};
	case "TeamLeaderG":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag; 
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",9] call GiveMag;
		[_man,"1Rnd_HE_M203",4] call GiveMag;
		[_man,"FlareWhite_M203",4] call GiveMag;
		_man addweapon   "M16A2GL";
		_man addweapon "NVGoggles";
		_man addweapon "Binocular";
	};
	case "SoldierGAT":
    	{
		removeallweapons _man;
		[_man,"M136",3] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",6] call GiveMag;
		_man addweapon   "M136";
		_man addweapon   "M4A1";
	};
	case "SoldierGMG":
    	{
		removeallweapons _man;
		[_man,"100Rnd_762x51_M240",6] call GiveMag;
		_man addweapon   "M240";
	};
	case "SoldierGB":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",2] call GiveMag;
		[_man,"100Rnd_762x51_M240",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",6] call GiveMag;
		[_man,"1Rnd_HE_M203",4] call GiveMag;
		[_man,"FlareWhite_M203",4] call GiveMag;
		_man addweapon   "M16A2";
	};
	case "SoldierGMedic":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",5] call GiveMag;
		_man addweapon   "M16A2";
	};
	case "SoldierGPilot":
    	{
		removeallweapons _man;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"15Rnd_9x19_M9",8] call GiveMag;
		_man addweapon   "M9";
		_man addweapon "NVGoggles";
	};
	case "SoldierGAA":
	{
		removeallweapons _man;
				
		[_man,"30Rnd_556x45_Stanag",6] call GiveMag;
		[_man,"Stinger",1] call GiveMag;
		_man addweapon "STINGER";
		_man addweapon   "M16A2";	
	};
	case "SoldierGSniper":
	{
		removeallweapons _man;
				
		[_man,"5Rnd_762x51_M24",12] call GiveMag;
		[_man,"15Rnd_9x19_M9",8] call GiveMag;
		_man addweapon   "M9";
		_man addweapon   "M24";	
	};
	case "SoldierGCrew":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_556x45_Stanag",5] call GiveMag;
		_man addweapon   "M16A2";
	};
	//REDFOR
	case "SquadLeaderE":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",2] call GiveMag; 
		[_man,"smokeshellred",3] call GiveMag;
		[_man,"30Rnd_545x39_AK",7] call GiveMag;
		_man addweapon "AKS74U";
		_man addweapon "NVGoggles";
		_man addweapon "Binocular";
    	};
	case "TeamLeaderE":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag; 
		[_man,"smokeshellred",2] call GiveMag;
		[_man,"30Rnd_545x39_AK",9] call GiveMag;
		[_man,"1Rnd_HE_GP25",4] call GiveMag;
		[_man,"FlareWhite_GP25",4] call GiveMag;
		_man addweapon   "AK74GL";
		_man addweapon "NVGoggles";
		_man addweapon "Binocular";
	};
	case "SoldierEAT":
    	{
		removeallweapons _man;
		[_man,"PG7V",3] call GiveMag;
		[_man,"30Rnd_545x39_AK",6] call GiveMag;
		_man addweapon   "RPG7V";
		_man addweapon   "AKS74U";

	};
	case "SoldierEMG":
    	{
		removeallweapons _man;
		[_man,"100Rnd_762x54_PK",6] call GiveMag;
		_man addweapon   "PK";
	};
	case "SoldierEB":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",2] call GiveMag;
		[_man,"100Rnd_762x54_PK",2] call GiveMag;
		[_man,"30Rnd_545x39_AK",6] call GiveMag;
		[_man,"1Rnd_HE_GP25",4] call GiveMag;
		[_man,"FlareWhite_GP25",4] call GiveMag;
		_man addweapon   "AK74";
	};
	case "SoldierEMedic":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag;
		[_man,"smokeshellred",2] call GiveMag;
		[_man,"30Rnd_545x39_AK",5] call GiveMag;
		_man addweapon   "AK74";
	};
	case "SoldierEPilot":
    	{
		removeallweapons _man;
		[_man,"smokeshellred",2] call GiveMag;
		[_man,"8Rnd_9x18_Makarov",8] call GiveMag;
		_man addweapon   "Makarov";
		_man addweapon "NVGoggles";
	};
	case "SoldierEAA":
	{
		removeallweapons _man;
				
		[_man,"30Rnd_545x39_AK",6] call GiveMag;
		[_man,"Strela",1] call GiveMag;
		_man addweapon "Strela";
		_man addweapon   "AK74";	
	};
	case "SoldierESniper":
	{
		removeallweapons _man;
				
		[_man,"10Rnd_762x54_SVD",6] call GiveMag;
		[_man,"8Rnd_9x18_Makarov",8] call GiveMag;
		_man addweapon   "Makarov";
		_man addweapon   "SVD";	
	};
	case "SoldierECrew":
    	{
		removeallweapons _man;
		[_man,"HandGrenadeTimed",1] call GiveMag;
		[_man,"smokeshellgreen",2] call GiveMag;
		[_man,"30Rnd_545x39_AK",5] call GiveMag;
		_man addweapon   "AK74";
	};
};
_primary = primaryweapon _man;
if (_primary == "M16A2GL") then
{
	_primary = "M16Muzzle";
};
if (_primary == "M16A4_GL") then
{
	_primary = "M16Muzzle";
};
if (_primary == "M16A4_ACG_GL") then
{
	_primary = "M16Muzzle";
};
if (_primary == "M4GL") then
{
	_primary = "M4Muzzle";
};
if (_primary == "M4A1GL") then
{
	_primary = "M4Muzzle";
};
if (_primary == "AK74GL") then
{
	_primary = "AK74Muzzle";
};
player selectWeapon _primary;
player selectweapon (primaryweapon player);