// Vehrespawn.sqf
// This will respawn a vehicle a specified number of times after a specified delay.
// If you would like there to be an infinte number of respawns then put -1 in the paramter for NumberofRespawns
// Vehicle will respawn to it's location at the start of the mission and face the same direction

// Call the script as followed:
//
//	[VehicleName,NumberofRespawns,DelayTimeBetweenSpawns] execVM "Vehrespawn.sqf"
//
// If you put this line in the init field of the vehicle you can sub in this for the vehicle name


// Written by Strango

if (not isServer) exitwith {};
//Name of vehicle being respawned
_vcl = _this select 0;

//Number of times to respawn this vehicle
_spawns = _this select 1;

//Number of seconds to wait before respawning vehicle after it's been destroyed
_delay = _this select 2;

_AbandonFlag = _this select 3;

//Type of vehicle being respawned
_class = typeOf _vcl;

_VehLocation = getpos _vcl;
_VehDir      = getdir _vcl;
sleep 1;

_Count = 0;
_vcl addEventHandler ["killed",{_this execVM "StrCH\removeDead.sqf"}];
if (_AbandonFlag) then
{
	[_vcl] execVM "StrCH\VehAbandon.sqf";
};
if (_class in supportvehicles) then
{
	clearmagazinecargo _vcl;
	clearweaponcargo _vcl;
};
//if (_vcl isKindOf "KA50") then
//{
//	[_vcl] execVM "Ka50_Rearm.sqF";
//};
//if (_vcl isKindOf "AH1W") then
//{
//	[_vcl] execVM "AH1_Rearm.sqf";
//};
while {_Count != _spawns} do
{
	waituntil{((!canmove _vcl OR !alive _vcl) && (count units _vcl == 0))};
	if (count units _vcl != 0) then
	{
		sleep 5;
	}
	else
	{
		sleep _delay;
		waituntil{((count (units _vcl)) == 0)};
		_vcl setfuel 0;
		deleteVehicle _vcl;
		sleep 1;
		_vcl = _class createVehicle _VehLocation;
		_vcl setdir _VehDir;
		_vcl addEventHandler ["killed",{_this execVM "StrCH\removeDead.sqf"}];
		if (_AbandonFlag) then
		{
			[_vcl] execVM "StrCH\VehAbandon.sqf";
		};
		if (_class in supportvehicles) then
		{
			clearmagazinecargo _vcl;
			clearweaponcargo _vcl;
		};
//		if (_vcl isKindOf "KA50") then
//		{
//			[_vcl] execVM "Ka50_Rearm.sqf";
//		};
//		if (_vcl isKindOf "AH1W") then
//		{
//			[_vcl] execVM "AH1_Rearm.sqf";
//		};
		_Count = _Count + 1;
	};
};	










