//VehAbandon.sqf

//This script will check if a vehicle has been abandon and will work in unison with VehRespawn.sqf
//Call:
//	[VehicleName] execVM "VehAbandon.sqf";
//Script by Strango


_vcl = _this select 0;

_AbandonTime = 30;

_RunScript = true;

while {_RunScript} do
{
	//Wait until vehicle disabled/killed or someone has entered the vehicle
	waituntil{(!canmove _vcl) OR (!alive _vcl) OR (count units _vcl > 0)};
	//Wait until vehicle disabled/killed or everyone has left the vehicle
	waituntil{(!canmove _vcl) OR (!alive _vcl) OR (count units _vcl == 0)};
	_AbandonCount = 0;
	_ReEntry = false;
	//Begin Abandon Check by looping until vehicle disabled/killed, someone enters the vehicle or abandon count-down reached
	while {(_AbandonCount != _AbandonTime) AND _RunScript AND !_ReEntry} do
	{
		if (!canmove _vcl OR !alive _vcl) then
		{
			_RunScript = false;
		};
		if (count units _vcl > 0) then
		{
			_ReEntry = true;
		};
		sleep 1.0;
		_AbandonCount = _AbandonCount + 1;
	};
	if (_AbandonCount == _AbandonTime) then
	{
		_RunScript = false;
		waituntil{((count (units _vcl)) == 0)};
		deletevehicle _vcl;
	};
	
};









