/* capture.sqf
;; takes flag (object) and side (object) as parameters,
;; changes flag texture,
;; starts hold script.



;; these are passed from the capture trigger.
*/
_flag = _this select 0;
_side = _this select 1;
_stat = -1;
/*
;; sets flag texture.
;; sets side for broadcast of flagstat.
;; exits with debug warning if _side is invalid.
*/
switch (_side) do 
{
	case WEST: 
	{
		_flag setFlagTexture "StrCH\usa.jpg"; 
		_stat = 1;
	};
	case EAST: 
	{
		_flag setFlagTexture "StrCH\ussr.jpg"; 
		_stat = 2;
	};
	case Resistance: 
	{
		_flag setFlagTexture "StrCH\Sahara-Western.jpg"; 
		_stat = 3;
	};
	case Civilian: 
	{
		_flag setFlagTexture "StrCH\white.jpg"; 
		_stat = 0;
	};
};



// broadcast flag status change,
// start hold script.
switch (_flag) do 
{
	case flag1: 
	{
		flag1stat = _stat; 
		publicVariable "flag1stat";
	};
	case flag2: 
	{
		flag2stat = _stat; 
		publicVariable "flag2stat";
	};
	case flag3: 
	{
		flag3stat = _stat; 
		publicVariable "flag3stat";
	};
};

if (_side != Civilian) then 
{
	[_flag, _side] execVM "StrCH\hold.sqf";
};

// broadcast status display.
ShowStat = true; 
publicVariable "ShowStat";


