_FlagList = _this select 0;
_FlagTemp = _this select 1;
_FlagStat = _this select 2;
_FlagNonConfig = _this select 3;

_WestCount = [WEST, _FlagList] call CountValid;
_EastCount = [EAST, _FlagList] call CountValid;
_ResistanceCount = [RESISTANCE, _FlagList] call CountValid;

_NeutralCheck = false;

//West Capture
if (_FlagStat != 1 AND _WestCount > _EastCount AND _WestCount > _ResistanceCount AND NumofFlags != _FlagNonConfig) then
{
	[_FlagTemp, WEST] execVM "StrCH\capture.sqf";	
}
else
{
	//East Capture
	if (_FlagStat != 2 AND _WestCount < _EastCount AND _EastCount > _ResistanceCount AND NumofFlags != _FlagNonConfig) then
	{
		[_FlagTemp, EAST] execVM "StrCH\capture.sqf";	
	}
	else
	{
		//Resistance Capture
		if (_FlagStat != 3 AND _ResistanceCount > _EastCount AND _WestCount < _ResistanceCount AND NumofFlags != _FlagNonConfig) then
		{
			[_FlagTemp, Resistance] execVM "StrCH\capture.sqf";	
		}
		else
		{	
			//Neutral Flag
			//3-Way Tie OR East & West Tie with Resistance less OR East & Resistance Tie with West less OR Resistance & West Tie with East less OR
			if (((_ResistanceCount == _EastCount AND _WestCount == _ResistanceCount) OR
			     (_EastCount == _WestCount AND _ResistanceCount < _WestCount) OR
			     (_EastCount == _ResistanceCount AND _WestCount < _EastCount) OR
			     (_ResistanceCount == _WestCount AND _EastCount < _WestCount)) AND
			    (_FlagStat != 0 AND NumofFlags != _FlagNonConfig)) then
			{
				[_FlagTemp, Civilian] execVM "StrCH\capture.sqf";
			};
		};
	};
};