// showscore.sqf
// waits for ShowScore, then displays score as titleText.
// Only displays score for sides with at least one player on it
// If there are not atleast two teams with players (i.e. only one team with a player) then all scores will be shown

while {true} do
{
	waituntil{ShowScore};
	ShowScore = false;
    	_numwest = playersNumber West;
  	_numeast = playersNumber East;
   	_numres = playersNumber resistance;

	if (_numwest > 0 && _numeast > 0 && _numres > 0) then
	{
		titleText [format["%4: %1  %5: %2  %6: %3",floor(WestScore),floor(EastScore),floor(ResScore),WestName,EastName,ResName], "PLAIN DOWN"];		
	}
	else
	{
		if (_numwest > 0 && _numeast > 0 && _numres == 0) then
		{
			titleText [format["%3: %1  %4: %2",floor(WestScore),floor(EastScore),WestName,EastName], "PLAIN DOWN"];		
		}
		else
		{
			if (_numwest > 0 && _numeast == 0 && _numres > 0) then
			{
				titleText [format["%3: %1  %4: %2",floor(WestScore),floor(ResScore),WestName,ResName], "PLAIN DOWN"];		
			}
			else
			{
				if (_numwest == 0 && _numeast > 0 && _numres > 0) then
				{
					titleText [format["%3: %1  %4: %2",floor(EastScore),floor(ResScore),EastName,ResName], "PLAIN DOWN"];		
				}
				else
				{
					titleText [format["%4: %1  %5: %2  %6: %3",floor(WestScore),floor(EastScore),floor(ResScore),WestName,EastName,ResName], "PLAIN DOWN"];
				};
			};
		};	
	};

};

