// showstat.sqf
// shows flag status.

// declare strings beforehand to keep things tight.
_n = "NEUTRAL";
_w = WestName;
_e = EastName;
_r = ResName;
_msg1 = "";
_msg2 = "";
_msg3 = "";
_timeleft = -1;
// waits for ShowStat to become true,
// then declares it false again and continues.

while {true} do
{
	waituntil{ShowStat};
	ShowStat = false;
//-**********Check Flag 1*********************************	
	if (flag1stat == 0) then
	{
		_msg1 = _n;
		"obj1" setMarkerColor NeutralColor;
	}
	else
	{
		if (flag1stat == 1) then
		{
			_msg1 = _w;
			"obj1" setMarkerColor WestColor;
		}
		else
		{
			if (flag1stat == 2) then
			{
				_msg1 = _e;
				"obj1" setMarkerColor EastColor;
			}
			else
			{
				if (flag1stat == 3) then
				{
					_msg1 = _r;
					"obj1" setMarkerColor ResColor;
				};
			};
		};		
	};
//-**********Check Flag 2*********************************	
	if (flag2stat == 0) then
	{
		_msg2 = _n;
		"obj2" setMarkerColor NeutralColor;
	}
	else
	{
		if (flag2stat == 1) then
		{
			_msg2 = _w;
			"obj2" setMarkerColor WestColor;
		}
		else
		{
			if (flag2stat == 2) then
			{
				_msg2 = _e;
				"obj2" setMarkerColor EastColor;
			}
			else
			{
				if (flag2stat == 3) then
				{
					_msg2 = _r;
					"obj2" setMarkerColor ResColor;
				};
			};
		};		
	};
//-**********Check Flag 3*********************************	
	if (flag3stat == 0) then
	{
		_msg3 = _n;
		"obj3" setMarkerColor NeutralColor;
	}
	else
	{
		if (flag3stat == 1) then
		{
			_msg3 = _w;
			"obj3" setMarkerColor WestColor;
		}
		else
		{
			if (flag3stat == 2) then
			{
				_msg3 = _e;
				"obj3" setMarkerColor EastColor;
			}
			else
			{
				if (flag3stat == 3) then
				{
					_msg3 = _r;
					"obj3" setMarkerColor ResColor;
				};
			};
		};		
	};


	// determines time left locally.
	_timeleft = ((GameLength - time) / 60) - (((GameLength - time) / 60) mod 1);

	// Show a hint of flag status.
	switch (NumofFlags) do
	{
		case 1:
    		{
    			hint format["%3: %1\n\n%2 minutes left",_msg1,_timeleft,Obj1Name];
		};
		case 2:
		{
			hint format["%4: %1\n%5: %2\n\n%3 minutes left",_msg2,_msg3,_timeleft,Obj2Name,Obj3Name];
		};	
		case 3:
		{
			hint format["%5: %1\n%6: %2\n%7: %3\n\n%4 minutes left",_msg1,_msg2,_msg3,_timeleft,Obj1Name,Obj2Name,Obj3Name];
		};
	};

}; 

